
package net.mcreator.enchantmenttutorial.enchantment;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.ItemStack;
import net.minecraft.inventory.EquipmentSlotType;
import net.minecraft.enchantment.EnchantmentType;
import net.minecraft.enchantment.Enchantment;

import net.mcreator.enchantmenttutorial.item.CrimsonSwordItem;
import net.mcreator.enchantmenttutorial.EnchantmenttutorialModElements;

@EnchantmenttutorialModElements.ModElement.Tag
public class LifestealEnchantment extends EnchantmenttutorialModElements.ModElement {
	@ObjectHolder("enchantmenttutorial:lifesteal")
	public static final Enchantment enchantment = null;
	public LifestealEnchantment(EnchantmenttutorialModElements instance) {
		super(instance, 6);
	}

	@Override
	public void initElements() {
		elements.enchantments.add(() -> new CustomEnchantment(EquipmentSlotType.MAINHAND).setRegistryName("lifesteal"));
	}
	public static class CustomEnchantment extends Enchantment {
		public CustomEnchantment(EquipmentSlotType... slots) {
			super(Enchantment.Rarity.VERY_RARE, EnchantmentType.WEAPON, slots);
		}

		@Override
		public int getMinLevel() {
			return 1;
		}

		@Override
		public int getMaxLevel() {
			return 2;
		}

		@Override
		public boolean canApplyAtEnchantingTable(ItemStack stack) {
			if (stack.getItem() == new ItemStack(CrimsonSwordItem.block, (int) (1)).getItem())
				return true;
			return false;
		}

		@Override
		public boolean isTreasureEnchantment() {
			return false;
		}

		@Override
		public boolean isCurse() {
			return false;
		}

		@Override
		public boolean isAllowedOnBooks() {
			return true;
		}
	}
}
